﻿using RyzStudio.Windows.Forms;

namespace BookmarkManager
{
    public interface ISupportedFile
    {


        bool IsEncryptionSupported { get; set; }


        bool IsSupported(string filename);

        bool IsEncrypted(string filename);

        Result Load(BookmarkTreeView treeview, string filename, string password);

        Result Save(BookmarkTreeView treeview, string filename, string password);

    }
}
